# IntlDateFormatter::getTimeZoneId

# datefmt_get_timezone_id

(PHP 5 >= 5.3.0, PHP 7, PECL intl >= 1.0.0)

IntlDateFormatter::getTimeZoneId -- datefmt_get_timezone_id — Get the timezone-id used for the IntlDateFormatter

### Description

Object oriented style

public IntlDateFormatter::getTimeZoneId ( void ) : string

Procedural style

datefmt_get_timezone_id ( IntlDateFormatter `$fmt` ) : string

Get the timezone-id used for the IntlDateFormatter.

### Parameters

`fmt`

  The formatter resource.

### Return Values

ID string for the time zone used by this formatter.

### Examples

Example #1 datefmt_get_timezone_id() example

`<?php
$fmt = datefmt_create(
'en_US',
IntlDateFormatter::FULL,
IntlDateFormatter::FULL,
'America/Los_Angeles',
IntlDateFormatter::GREGORIAN
);
echo 'timezone_id of the formatter is : ' . datefmt_get_timezone_id($fmt);
datefmt_set_timezone_id($fmt, 'CN');
echo 'Now timezone_id of the formatter is : ' . datefmt_get_timezone_id($fmt);
?>`

Example #2 OO example

`<?php
$fmt = new IntlDateFormatter(
'en_US',
IntlDateFormatter::FULL,
IntlDateFormatter::FULL,
'America/Los_Angeles',
IntlDateFormatter::GREGORIAN
);
echo 'timezone_id of the formatter is : ' . $fmt->getTimezoneId();
$fmt->setTimezoneId('CN');
echo 'Now timezone_id of the formatter is : ' . $fmt->getTimezoneId();
?>`

The above example will output:

    timezone_id of the formatter is : America/Los_Angeles
    Now timezone_id of the formatter is : CN

### See Also

- datefmt_set_timezone_id() - Sets the time zone to use
- datefmt_create() - Create a date formatter